/*
 * indicator-network - user interface for connman
 * Copyright 2010-2011 Canonical Ltd.
 *
 * Authors:
 * Andrew Higginson
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3, as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranties of
 * MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

class BluetoothBox : DeviceBox {

    /* A Gtk.VBox which holds all of the widgets to control a bluetooth
      device. */

    private Device device;

    public BluetoothBox(Device device, string datadir) {
        this.set_spacing(12);
        this.device = device;
        this.device.notify["state"].connect(this.on_device_state_changed);
    }

    public override void on_device_state_changed(ParamSpec p) {}
}
